Skip to main content

Confirm TOTP enrolment

POST 

/auth/totp/confirm

Required role: viewer. An account or token with the viewer or admin role can call this operation.

Example request
curl --request POST \
--header "Authorization: Bearer $HOSERVA_TOKEN" \
--header "Content-Type: application/json" \
--data @body.json \
"https://$HOSERVA_HOST:8008/api/v1/auth/totp/confirm"

Activates the pending secret enrollTotp created, once a code proves the signed-in user actually has it.

Request​

Responses​

TOTP is now active on this account.